package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.api.dto.MemberUnionidRelatedDTO;
import com.gic.haoban.manage.service.entity.MemberUnionidRelated;

public interface MemberUnionidRelatedMapper {
    int deleteByPrimaryKey(String memberUnionidRelatedId);

    int insert(MemberUnionidRelated record);

    int insertSelective(MemberUnionidRelated record);

    MemberUnionidRelated selectByPrimaryKey(String memberUnionidRelatedId);

    int updateByPrimaryKeySelective(MemberUnionidRelated record);

    int updateByPrimaryKey(MemberUnionidRelated record);

    int cleanByCid(@Param("cid") String cid);

    MemberUnionidRelated getByUnionId(@Param("wxUserId")String wxUserId, @Param("unionid")String unionid);

	void deleteByUnionidAndUserId(@Param("externalUserid")String externalUserid,@Param("wxUserId") String wxUserId);

	List<MemberUnionidRelated> getByWxUserIdAndWxEnterpriseId(@Param("wxUserId")String wxUserId, @Param("wxEnterpriseId")String wxEnterpriseId);

	MemberUnionidRelated getByParams(@Param("wxUserId")String wxUserId, @Param("enterpriseId")String enterpriseId, 
			@Param("externalName")String name, @Param("addCreateTime")String createTime);

	List<MemberUnionidRelated> listByExTernalUseridAndWxUserId(@Param("externalUserid")String externalUserid, @Param("wxUserId")String wxUserId);
}