import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.gic.api.base.commons.JSONResponse;
import com.gic.haoban.base.api.common.ServiceResponse;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.redis.data.util.RedisUtil;
import com.gic.wechat.api.dto.qywx.DepartmentDTO;
import com.gic.wechat.api.dto.qywx.QywxXcxSendMessageDTO;
import com.gic.wechat.api.dto.qywx.UserDTO;
import com.gic.wechat.api.service.qywx.QywxDepartmentApiService;
import com.gic.wechat.api.service.qywx.QywxSuiteApiService;
import com.gic.wechat.api.service.qywx.QywxUserApiService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class ServiceTest {
    @Autowired
    private WxEnterpriseRelatedApiService wxEnterpriseRelatedApiService;

    @Autowired
    private QywxUserApiService qywxUserApiService;

    @Autowired
    private QywxDepartmentApiService qywxDepartmentApiService;

    @Autowired
    private QywxSuiteApiService qywxSuiteApiService;

    @Autowired
    private StaffApiService staffApiService;

	@Test
	public void test() {
		System.err.println(RedisUtil.getCache("init-enterprise-ca66a01b79474c40b3e7c7f93daf1a3b"));
	}


//    @Test
//    public void test1() {
//        String res = qywxUserApiService.leaveClerkExternal("ww9ede832a84b7ae5f"
//                , "01YQ-pcdYzF3K0So8uCFfkB5i8D5EBW7KcVB4qA8Ktk", 0, 1000);
//        JSONArray jsonArray = JSONArray.parseArray(res);
//        jsonArray.forEach(o -> {
//            JSONObject mid = (JSONObject) o;
//            qywxUserApiService.leaveClerkReTransfer("ww9ede832a84b7ae5f"
//                    , "01YQ-pcdYzF3K0So8uCFfkB5i8D5EBW7KcVB4qA8Ktk", mid.getString("handover_userid")
//                    , mid.getString("handover_userid"), mid.getString("external_userid"));
//        });
//        System.out.println(res);
//    }
//
//    @Test
//    public void test2() {
//        UserDTO userDTO = new UserDTO();
//        userDTO.setUserid("niweizhong");
//        userDTO.setName("空闻大师");
//        userDTO.setDepartment(new Integer[]{4});
//        userDTO.setMobile("17605628855");
//        userDTO.setCorpid("ww9ede832a84b7ae5f");
//        JSONResponse workWxUser = qywxUserApiService.createWorkWxUser(userDTO, "ww9ede832a84b7ae5f", "ww7d6566614055cf27");
//        System.out.println(JSONObject.toJSONString(workWxUser));
//    }
//
//    @Test
//    public void list() {
//
//        List<DepartmentDTO> list = qywxDepartmentApiService.listSelfDepartment("ww9ede832a84b7ae5f"
//                , "3aOw7jbcHlHkDmOi5TuG42Ta8NqskOhZxy5urrmaGl8", 1);
//        Iterator<DepartmentDTO> iterator = list.iterator();
////		while (iterator.hasNext()) {
////			DepartmentDTO next = iterator.next();
////			if(!next.getParentid().equals("1")) {
////				iterator.remove();
////			}
////		}
//        System.out.println(JSONObject.toJSONString(list));
//    }
//
//    @Test
//    public void addDepart() {
//        DepartmentDTO dto = new DepartmentDTO();
////		dto.set
////		JSONResponse department = qywxDepartmentApiService.createDepartment("ww9ede832a84b7ae5f"
////				, "ww7d6566614055cf27", null);
////		List<DepartmentDTO> list = (List<DepartmentDTO>) department;
////		System.out.println(JSONObject.toJSONString(list));
//    }
//
//    @Test
//    public void getUser() {
//        DepartmentDTO dto = new DepartmentDTO();
////		dto.set
//        UserDTO phonenumber = qywxUserApiService.getWxUserByPhonenumber("ww9ede832a84b7ae5f"
//                , "ww7d6566614055cf27", "13735457631");
////		String phonenumber = phonenumber;
////		UserDTO phonenumber = (UserDTO) useridBymobile;
//        System.out.println(JSONObject.toJSONString(phonenumber));
//    }
//
@Test
public void createSelfUser() {
    UserDTO userDTO = new UserDTO();
    userDTO.setUserid("niweizhong2");
    userDTO.setName("空闻大师2");
    userDTO.setDepartment(new Integer[]{5072});
    userDTO.setMobile("17605628851");
    userDTO.setCorpid("ww9ede832a84b7ae5f");
    JSONResponse workWxUser = qywxUserApiService.createSelfWorkWxUser(userDTO, "n",
            "3aOw7jbcHlHkDmOi5TuG42Ta8NqskOhZxy5urrmaGl8");
    System.out.println(JSONObject.toJSONString(workWxUser));
}


@Test
public void sendMessage() {
    QywxXcxSendMessageDTO messageDTO = new QywxXcxSendMessageDTO();
    messageDTO.setAppid("wx6054e7be35015afc");
    ArrayList<String> userIDs = new ArrayList<>();
    userIDs.add("9ae4c4f1277340a186b16a17d937c72c");
    messageDTO.setUserIds(userIDs);
    messageDTO.setTitle("我的测试test");
    messageDTO.setDescription("我的测试test11111");
    HashMap<String, String> map = new HashMap<>();
    map.put("名称", "hua");
//    messageDTO.setItems(map);
    boolean ret = qywxSuiteApiService.sendMessage("ww9ede832a84b7ae5f",
            "ww2c34dc56739bb105", messageDTO);
    System.out.println(JSONObject.toJSONString(ret));
}


    @Test
    public void listExternalUserid() {
        UserDTO userDTO = new UserDTO();
        userDTO.setUserid("niweizhong2");
        userDTO.setName("空闻大师2");
        userDTO.setDepartment(new Integer[]{5072});
        userDTO.setMobile("17605628851");
        userDTO.setCorpid("ww9ede832a84b7ae5f");
        String s = qywxUserApiService.listExternalUserid("ww9ede832a84b7ae5f",
                "ww2c34dc56739bb105", "qiuwenmin");
        System.out.println(s);
    }

    @Test
    public void getQrcode() {

        UserDTO workWxUser = qywxUserApiService.getSelfWorkWxUser("ww9ede832a84b7ae5f", "3aOw7jbcHlHkDmOi5TuG42Ta8NqskOhZxy5urrmaGl8", "lining");
        ServiceResponse<String> qrcode = staffApiService.getStaffQrcode("167442", "ff8080817181d322017182737b16021f");
        System.out.println(JSONObject.toJSONString(qrcode));
    }


    @Test
    public void extensionList() {

        String s = qywxUserApiService.listSelfExternalUserid("ww9ede832a84b7ae5f", "01YQ-pcdYzF3K0So8uCFfkB5i8D5EBW7KcVB4qA8Ktk", "de2c33f2e8924ff884e0073ca2f2f711");
        System.out.println(JSONObject.toJSONString(s));
    }


}
